## Optimiser le parcours utilisateur

### Identifiants


| V1 |
|:--:|
|  3 |

### Catégories

| Cycle de vie |  Tiers  |  Responsable  |
|:---------:|:----:|:----:|
| 2. Conception | Utilisateur/Terminal | UX/UI Designer |

### Indications

| Degré de priorité |      Mise en oeuvre       |  Impact écologique    |
|:-------------------:|:-------------------------:|:---------------------:|
| 5 | 4 | 5 |

|Ressources Economisées                                      |
|:----------------------------------------------------------:|
|Processeur / Mémoire vive / Stockage / Réseau / Requêtes    |

### Description

Optimiser le parcours utilisateur consiste à diminuer le temps passé par l'utilisateur sur ses usages les plus fréquents. Dans un premier temps, cibler les parcours les plus fréquents puis optimiser leur usage : diminuer le nombre d'étapes, diminuer le nombre d'actions, supprimer l'inutile, identifier les cas d'échecs, optimiser les temps de réponse... Un parcours est bien conçu lorsque le programme se comporte exactement comme l'utilisateur l'avait imaginé.

A minima, sonder en observant son entourage utilisant le service est un bon moyen d’identifier les points de friction - situations ou interactions qui contribuent à dégrader l’expérience utilisateur et à ralentir le parcours - des utilisateurs. Les tests utilisateurs permettent d'aller plus en profondeur dans la recherche de ces points de friction.

Le temps passé par l'utilisateur sur son terminal est le deuxième post en termes d'impacts environnementaux.

### Exemple

* Proposer, pour une application de grande distribution, une nouvelle commande sur la base du contenu de la précédente.
* Acheter sans inscription sur une application de type e-commerce.
* Copier/Coller son RIB directement plutôt que le télécharger puis le transférer.
* Mettre en avant les champs ou les filtres les plus utilisés.


### Principe de validation

|  Le nombre de | est inférieur à ou égal à  |  
|-------------------|:-------------------------:|
| points de friction | 0 |
