## Déployer un Android App Bundle (AAB) plutôt qu'un APK

### Identifiants

| V1 |
|:--:|
|  8  |

### Catégories

| Cycle de vie | Tiers |       Responsable        |
|:---------:|:-----:|:------------------------:|
| 2. Conception |  Utilisateur/Terminal   | Développeur/Développeuse |

### Indications

| Degré de priorité |      Mise en oeuvre       |  Impact écologique    |
|:-------------------:|:-------------------------:|:---------------------:|
| 3 | 3 | 3 |

|Ressources Economisées                                      |
|:----------------------------------------------------------:|
|  Processeur / Mémoire vive / Stockage  |

### Description

Un Android App Bundle (AAB) contient tout le code compilé et les ressources d'une application, mais délègue au Google Play Store la responsabilité de générer et signer l'APK qui sera installé sur l'appareil de l'utilisateur. Celui-ci optimise ainsi l'APK en n'y incluant que les ressources nécessaires selon la configuration de l'appareil. Cela permet de réduire considérablement la taille de l'application. Or la taille d'une application a un impact sur sa vitesse de chargement, la quantité de mémoire qu'elle utilise et sa consommation de la batterie.


### Principe de validation

| Le nombre ...                          | est inférieur ou égal à   |  
|----------------------------------------|:-------------------------:|
| d'APK déployé sans passer par un 'store' | 0  |
