## Utiliser une bibliothèque que si celle-ci est réellement indispensable
### Identifiants

| V1 |
|:--:|
| 17 |

### Catégories

| Cycle de vie |  Tiers  |  Responsable  |
|:---------:|:----:|:----:|
| 2. Conception | Réseau | Architecte Logiciel/Développeur |

### Indications

| Degré de priorité |      Mise en oeuvre       |  Impact écologique    |
|:-------------------:|:-------------------------:|:---------------------:|
| 4 | 4 | 4 |

| Ressources Economisées |
|:----------------------:|
|   Stockage / Mémoire   |

### Description

Certaines bibliothèques prêtes à l’emploi sont des outils pratiques pour faciliter le développement de certains composants ou la maintenabilité du code. Cependant, celles-ci pourraient parfois être facilement remplacé par des bibliothèques déjà présentes dans le projet, voir des API incluses dans le SDK Android de base. Il est intéressant de se poser régulièrement la question de l'utilité des bibliothèques incluses dans un projet. 

Par ailleurs, l'application de la bonne pratique [Minifier le code](MBP_010_fr.md) permet d'inclure dans le package final uniquement les portions utilisées des dépendances de notre projet.

### Principe de validation

| Le nombre ...                              | est inférieur ou égal à   |  
|--------------------------------------------|:-------------------------:|
| de bibliothèques dont l'utilité est minime | 1  |
