## Supprimer les bibliothèques non utilisées
### Identifiants

| V1 |
|:--:|
| 18 |

### Catégories

| Cycle de vie |  Tiers  |  Responsable  |
|:---------:|:----:|:----:|
| 2. Conception | Réseau | Architecte Logiciel/Développeur |

### Indications

| Degré de priorité |      Mise en oeuvre       |  Impact écologique    |
|:-------------------:|:-------------------------:|:---------------------:|
| 4 | 4 | 4 |

| Ressources Economisées |
|:----------------------:|
|   Stockage / Mémoire   |

### Description

Au cours de la vie d'un projet, il peut arriver qu'une dépendance à une bibliothèque reste présente alors que celle-ci n'est plus du tout utilisée dans le code. Il convient de la supprimer.

Pour cela, il existe plusieurs outils. Par exemple : 
* [Autonomous App - Dependency Analysis Gradle Plugin](https://github.com/autonomousapps/dependency-analysis-gradle-plugin)

À noter que cette pratique n'a peu de sens en terme d'optimisation de la taille de l'application si la bonne pratique [Minifier le code](MBP_010_fr.md) est déjà appliquée sur le projet. Cependant, elle a le mérite d'améliorer la maintenabilité du code permettant la gestion des dépendances de l'application.

### Principe de validation

| Le nombre ...                  | est inférieur ou égal à |  
|--------------------------------|:-----------------------:|
| de bibliothèques non utilisées |            0            |
