## Optimiser les PDF

### Identifiants

| V1 |
|:--:|
| 38 |

### Catégories

| Cycle de vie |  Tiers  |  Responsable  |
|:---------:|:----:|:----:|
| 5. Utilisation | Utilisateur/Terminal | Utilisateur |

### Indications

| Degré de priorité |      Mise en oeuvre       |  Impact écologique    |
|:-------------------:|:-------------------------:|:---------------------:|
| 3 | 3 | 3 |

|Ressources Economisées                                      |
|:----------------------------------------------------------:|
|  Réseau / Stockage  |

### Description

S’assurer, que les PDF sont réellement optimisés pour le mobile : taux d’échantillonnage et de compression des images, polices incorporées, résolution…

De plus, étant donné que la lecture d'un PDF sur un mobile est peu aisée, à choisir, préférez intégrer une fonctionnalité dans votre application qui permet de télécharger ce PDF plutôt que d'incorporer un lecteur de PDF au sein de votre application. Vous obtiendrez ainsi les bénéfices suivants : 
* Vous n'aurait pas besoin d'inclure ce lecteur de PDF à votre application, réduisant ainsi sa taille,
* L'utilisateur pourra choisir de l'ouvrir avec une application conçue spécialement pour la lecture,
* Vous améliorerez l'accessibilité de votre application, car les bibliothèques permettant d'inclure un PDF dans une application le sont rarement, contrairement aux applications dédiées qui offrent des fonctionnalités qui adaptent par exemple la taille du texte pour être lisible à l'écran sans devoir zoomer.


### Principe de validation

| Le nombre ...                                       | est inférieur ou égal à   |  
|-----------------------------------------------------|:-------------------------:|
| de PDF non optimisés                                |  0 |
| de visionneuse de PDF inclue directement dans l'app |  0 |
